blfwk::Crc Class Reference

Crc class contains the functionality about crc ccalculation. More...

`#include <Crc.h>`

## Public Member Functions

| Crc ()
| Default constructor.
virtual | ~Crc ()
| Destructor.

## Static Public Member Functions

static uint32_t | calculate_application_crc32 (const uint8_t *start, uint32_t length)
| calculate crc32 for a given memory region More...

## Detailed Description

Crc class contains the functionality about crc ccalculation.

## Member Function Documentation

uint32_t Crc::calculate_application_crc32 | ( | const uint8_t * | start,
|  | uint32_t | length
| ) |  |

static

calculate crc32 for a given memory region

Parameters

  start | The start address of a memory region that contains the data \
  length | Length in bytes to calculate \

Returns
  calculated result

The documentation for this class was generated from the following files:

- src/blfwk/crc.h
- src/blfwk/src/crc.cpp